Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.togethersoft.openapi.ide.tools
Interface IdeToolManager

public interface IdeToolManager

Defines manager for this tool. Gives ability to launch tool command, load/save tool in config and other activities.

Author:
  TogetherSoft
See Also: IdeTool, IdeToolFilter

Method Summary
`IdeToolFilter` | `createDefaultToolFilter()` Creates tool filter which recognizes filename pattern and assumes that first number not in file name is line and second is column.
`IdeToolFilter` | `createPatternToolFilter(String name)` Creates pattern tool filter using patern saved in config under property name 'name' ( see tool.config for examples of such filters ).
`IdeToolFilter` | `createTransparentToolFilter()` Creates filter that just echos all input into message window.
`void` | `launchTool(IdeContext context, IdeTool tool, boolean synchronous)` Executes in specified IdeContext command described by IdeTool , whether blocking on execution ( synchronous = true ) or not .
`IdeTool` | `loadTool(String propertyPrefix)` Load tool from config stored under propertyPrefix in config : example tool.config loadTool("tool.a") will load external editor tool.
`void` | `saveTool(String propertyPrefix, IdeTool tool)` Store tool under specified config prefix.
`void` | `saveTool(IdeTool tool)` Store Ide tool under default prefix - "tool".

Method Detail

### createDefaultToolFilter

    public IdeToolFilter createDefaultToolFilter()

  Creates tool filter which recognizes filename pattern and assumes that first number not in file name is line and second is column.

### createPatternToolFilter

    public IdeToolFilter createPatternToolFilter(String name)

  Creates pattern tool filter using patern saved in config under property name 'name' ( see tool.config for examples of such filters ).

### createTransparentToolFilter

    public IdeToolFilter createTransparentToolFilter()

  Creates filter that just echos all input into message window.

### launchTool

    public void launchTool(IdeContext context, IdeTool tool, boolean synchronous)

  Executes in specified IdeContext command described by IdeTool , whether blocking on execution ( synchronous = true ) or not .

### loadTool

    public IdeTool loadTool(String propertyPrefix)

  Load tool from config stored under propertyPrefix in config : example tool.config loadTool("tool.a") will load external editor tool.

### saveTool

    public void saveTool(String propertyPrefix, IdeTool tool)

  Store tool under specified config prefix.

### saveTool

    public void saveTool(IdeTool tool)

  Store Ide tool under default prefix - "tool".

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD